Mono.Cairo 1.0.5000.0 2.0.0.0 System.Object System.IDisposable The FontOptions Class defines how a font should be rendered
- Constructor
  Allocates a new font options object with all options initialized to default values.
  1.0.5000.0
  2.0.0.0
- Property
  Cairo.Antialias The antiliasing mode for the font options object. the antialiasing mode This specifies the type of antialiasing to do when rendering text. 1.0.5000.0 2.0.0.0
- Method
  Cairo.FontOptions Allocates a new font options object copying the option values from the current one. a newly allocated FontOptions 1.0.5000.0 2.0.0.0
- Method
  System.Void Destroys a FontOptions object created with or 1.0.5000.0 2.0.0.0
- Method
  System.Void Dispose resources associated with the FontOptions. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` The other object Compares this FontOptions object with another one for equality. True when equal, in all other cases false.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void Disposes the FontOptions object
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 Compute a hash for the FontOptions object the hash value for the FontOptions object.
- Property
  System.IntPtr Pointer to the native FontOptions object. a IntPtr 1.0.5000.0 2.0.0.0
- Property
  Cairo.HintMetrics The metrics hinting mode for the font options object. the metrics hinting mode This controls whether metrics are quantized to integer values in device units. See the documentation for for full details. 1.0.5000.0 2.0.0.0
- Property
  Cairo.HintStyle The hint style for font outlines for the font options object. the hint style This controls whether to fit font outlines to the pixel grid, and if so, whether to optimize for fidelity or contrast. See the documentation for for full details. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` another FontOptions Merges non-default options from into this FontOptions object, replacing existing values. This operation can be thought of as somewhat similar to compositing other onto options with the operation of Cairo.Operation.Over. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` a FontOptions another FontOptions Tests two FontOptions for equality. Whether they are the same. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` a FontOptions another FontOptions Tests two FontOptions for inequality Whether they are not the same 1.0.5000.0 2.0.0.0
- Property
  Cairo.Status Checks whether an error has previously occurred for this font options object Cairo.Status.Success or Cairo.Status.NoMemory If Cairo.Status.NoMemory occurs when creating the object, then all operations on the object do nothing. 1.0.5000.0 2.0.0.0
- Property
  Cairo.SubpixelOrder The subpixel order for the font options object. the subpixel order The subpixel order specifies the order of color elements within each pixel on the display device when rendering with an antialiasing mode of Cairo.Antialias.Subpixel. See the documentation for for full details. 1.0.5000.0 2.0.0.0